QEMU-IMG(1)

NAME
qemu-img - QEMU disk image utility

SYNOPSIS
usage: qemu-img command [command options]

OPTIONS
The following commands are supported:

create [-e] [-6] [-b base_image] [-f fmt] filename [size]
commit [-f fmt] filename
convert [-c] [-e] [-6] [-f fmt] filename [-O output_fmt] output_filename
info [-f fmt] filename

Command parameters:

filename
     is a disk image filename

base_image
    is the read-only disk image which is used as base for a copy on
        write image; the copy on write image only stores the modified data

fmt is the disk image format. It is guessed automatically in most cases. The following formats are supported:

    "raw"
        Raw disk image format (default). This format has the advantage of being simple and easily exportable to all other emulators. If your file system supports holes (for example in ext2 or ext3 on Linux or NTFS on Windows), then only the written sectors will reserve space. Use "qemu-img info" to know the real size used by the image or "ls -ls" on Unix/Linux.

    "qcow2"
        QEMU image format, the most versatile format. Use it to have smaller images (useful if your filesystem does not supports holes, for example on Windows), optional AES encryption, zlib based compression and support of multiple VM snapshots.

    "qcow"
        Old QEMU image format. Left for compatibility.

    "cow"
        User Mode Linux Copy On Write image format. Used to be the only growable image format in QEMU. It is supported only for compatibility with previous versions. It does not work on win32.

    "vmdk"
        VMware 3 and 4 compatible image format.

    "cloop"
        Linux Compressed Loop image, useful only to reuse directly compressed CD-ROM images present for example in the Knoppix CD-ROMs.

size
    is the disk image size in kilobytes. Optional suffixes "M" (megabyte) and "G" (gigabyte) are supported

output_filename
    is the destination disk image filename

output_fmt
     is the destination format

-c  indicates that target image must be compressed (qcow format only)

-e  indicates that the target image must be encrypted (qcow format only)

-6  indicates that the target image must use compatibility level 6 (vmdk format only)

Command description:

create [-6] [-e] [-b base_image] [-f fmt] filename [size]
    Create the new disk image filename of size size and format fmt.

    If base_image is specified, then the image will record only the differences from base_image. No size needs to be specified in this case. base_image will never be modified unless you use the "commit" monitor command.

commit [-f fmt] filename
    Commit the changes recorded in filename in its base image.

convert [-c] [-e] [-f fmt] filename [-O output_fmt] output_filename
    Convert the disk image filename to disk image output_filename using format output_fmt. It can be optionally encrypted ("-e" option) or compressed ("-c" option).

    Only the format "qcow" supports encryption or compression. The compression is read-only. It means that if a compressed sector is rewritten, then it is rewritten as uncompressed data.

    Encryption uses the AES format which is very secure (128 bit keys). Use a long password (16 characters) to get maximum protection.

    Image conversion is also useful to get smaller image when using a growable format such as "qcow" or "cow": the empty sectors are detected and suppressed from the destination image.

info [-f fmt] filename
    Give information about the disk image filename. Use it in particular to know the size reserved on disk which can be different from the displayed size. If VM snapshots are stored in the disk image, they are displayed too.

SEE ALSO
The HTML documentation of QEMU for more precise information and Linux user mode emulator invocation.

AUTHOR
Fabrice Bellard